#include "include.h"

void clock_gate0_cmd(uint32_t clock_gate, FUNCTIONAL_STATE state)
{
    if (state != DISABLE) {
        CLKGAT0 |= clock_gate;
    } else {
        CLKGAT0 &= ~clock_gate;
    }
}

void clock_gate1_cmd(uint32_t clock_gate, FUNCTIONAL_STATE state)
{
    if (state != DISABLE) {
        CLKGAT1 |= clock_gate;
    } else {
        CLKGAT1 &= ~clock_gate;
    }
}

void clock_gate2_cmd(uint32_t clock_gate, FUNCTIONAL_STATE state)
{
    if (state != DISABLE) {
        CLKGAT2 |= clock_gate;
    } else {
        CLKGAT2 &= ~clock_gate;
    }
}

